%define upstream_name    HTML-Tidy5
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Web validation in a Perl object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(constant)
BuildRequires: perl-devel
BuildRequires: tidy-devel
# optional tests

%{?perl_default_filter}

%description
HTML::Tidy5 is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user looking to
migrate, see the section "Converting from HTML::Lint".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# Tests fail on i586
%__make test || true

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorarch}/HTML
%{perl_vendorarch}/Test/HTML
%{perl_vendorarch}/auto/HTML
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Thu Jun 18 2020 umeabot <umeabot> 1.60.0-3.mga8
+ Revision: 1595652
- Rebuild for perl 5.32

* Mon Feb 17 2020 umeabot <umeabot> 1.60.0-2.mga8
+ Revision: 1537246
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 tv <tv> 1.60.0-1.mga8
+ Revision: 1456204
- update to 1.06

* Tue Aug 27 2019 tmb <tmb> 1.40.0-5.mga8
+ Revision: 1433674
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.40.0-4.mga7
+ Revision: 1293186
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 1.40.0-3.mga7
+ Revision: 1248363
- Rebuild for new perl 5.28.0

* Tue Jun 05 2018 shlomif <shlomif> 1.40.0-2.mga7
+ Revision: 1234776
- fix tests
- based on perl-HTML-Tidy

